import React from 'react'
import styles from './index.module.scss'
import { useHistory } from 'react-router-dom'
function A5Mobile({ show, setShow }: { show: boolean; setShow: (show: boolean) => void }) {
  const history = useHistory()
  return (
    <div className={styles.A5Mobile} style={{ display: show ? 'block' : 'none' }}>


      <div className="title"> <img src={require('./image/title.png')} alt='' /></div>
      <div className="time"> <img src={require('./image/time.png')} alt='' /></div>

      <div
        className='button'
        onClick={() => {
          setShow(false)
          window.switchBgmState(true)
          // history.push('/home?m=SG-ooxdHQTAxfH')
          // window.location.reload()
        }}
      >
        <img src={require('./image/button.png')} alt='' />
      </div>
    </div>
  )
}

const MemoA5Mobile = React.memo(A5Mobile)

export default MemoA5Mobile
